[arch-commits] Commit in libxxf86misc/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 21:46:57 EDT 2009


    Date: Tuesday, April 14, 2009 @ 21:46:57
  Author: eric
Revision: 35660

Merged revisions 35659 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxxf86misc/trunk

........
  r35659 | eric | 2009-04-14 21:46:43 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxxf86misc 1.0.1-2
      Added license, FHS man pages
........

Modified:
  libxxf86misc/repos/extra-x86_64/	(properties)
  libxxf86misc/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)


Property changes on: libxxf86misc/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxxf86misc/trunk:1-20890
   + /libxxf86misc/trunk:1-35659

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-15 01:46:43 UTC (rev 35659)
+++ extra-x86_64/PKGBUILD	2009-04-15 01:46:57 UTC (rev 35660)
@@ -3,21 +3,23 @@
 
 pkgname=libxxf86misc
 pkgver=1.0.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 XFree86 miscellaneous extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=(libxext xf86miscproto)
 makedepends=(pkgconfig)
 options=(!libtool)
 source=(${url}/releases/individual/lib/libXxf86misc-${pkgver}.tar.bz2)
-md5sums=(7cee0df63903cef7f7a3fb68cdd99eef)
+md5sums=('7cee0df63903cef7f7a3fb68cdd99eef')
 
 build() {
-  cd ${startdir}/src/libXxf86misc-${pkgver}
-  ./configure --prefix=/usr \
+  cd ${srcdir}/libXxf86misc-${pkgver}
+  ./configure --prefix=/usr --mandir=/usr/share/man \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
 



More information about the arch-commits mailing list